Retrieve a recurring series
curl --request GET \
--url https://api.talescria.com/v1/invoice-series/{seriesId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/invoice-series/{seriesId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/invoice-series/{seriesId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"series": {
"id": "<string>",
"number": "S-0001",
"customer": {},
"accountId": "<string>",
"currency": "<string>",
"amount": {
"minorUnits": "125000",
"currency": "USD"
},
"frequency": "weekly",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"dueDays": 123,
"notify": true,
"status": "active",
"nextIssueAt": 123,
"issuedCount": 123,
"lastError": "<string>",
"template": {},
"createdAt": 123,
"updatedAt": 123
},
"invoices": [
{
"id": "<string>",
"status": "unpaid",
"number": "INV-0001",
"total": {
"minorUnits": "125000",
"currency": "USD"
},
"issuedAt": 123,
"dueAt": 123,
"url": "<string>",
"document": {},
"accountId": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"deleted": true
},
"paidAt": 123,
"paymentInProgress": true,
"createdAt": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Invoices
Retrieve a recurring series
One series and the invoices it has issued.
Requires the invoices:read scope.
GET
/
v1
/
invoice-series
/
{seriesId}
Retrieve a recurring series
curl --request GET \
--url https://api.talescria.com/v1/invoice-series/{seriesId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/invoice-series/{seriesId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/invoice-series/{seriesId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"series": {
"id": "<string>",
"number": "S-0001",
"customer": {},
"accountId": "<string>",
"currency": "<string>",
"amount": {
"minorUnits": "125000",
"currency": "USD"
},
"frequency": "weekly",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"dueDays": 123,
"notify": true,
"status": "active",
"nextIssueAt": 123,
"issuedCount": 123,
"lastError": "<string>",
"template": {},
"createdAt": 123,
"updatedAt": 123
},
"invoices": [
{
"id": "<string>",
"status": "unpaid",
"number": "INV-0001",
"total": {
"minorUnits": "125000",
"currency": "USD"
},
"issuedAt": 123,
"dueAt": 123,
"url": "<string>",
"document": {},
"accountId": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"deleted": true
},
"paidAt": 123,
"paymentInProgress": true,
"createdAt": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}